# Interface: ProjectGraph

A Graph of projects in the workspace and dependencies between them

## Table of contents

### Properties

- [dependencies](../../devkit/documents/ProjectGraph#dependencies): Record&lt;string, ProjectGraphDependency[]&gt;
- [externalNodes](../../devkit/documents/ProjectGraph#externalnodes): Record&lt;string, ProjectGraphExternalNode&gt;
- [nodes](../../devkit/documents/ProjectGraph#nodes): Record&lt;string, ProjectGraphProjectNode&gt;
- [version](../../devkit/documents/ProjectGraph#version): string

## Properties

### dependencies

• **dependencies**: `Record`<`string`, [`ProjectGraphDependency`](../../devkit/documents/ProjectGraphDependency)[]\>

---

### externalNodes

• `Optional` **externalNodes**: `Record`<`string`, [`ProjectGraphExternalNode`](../../devkit/documents/ProjectGraphExternalNode)\>

---

### nodes

• **nodes**: `Record`<`string`, [`ProjectGraphProjectNode`](../../devkit/documents/ProjectGraphProjectNode)\>

---

### version

• `Optional` **version**: `string`
